## rock-master-20.01-drivers-transformer 0.20160907

=== CMakeLists.txt ===
# CMakeLists.txt has to be located in the project folder and cmake has to be
# executed from 'project/build' with 'cmake ../'.
cmake_minimum_required(VERSION 2.6)
find_package(Rock)
rock_init(transformer 0.1)
rock_standard_layout()

include(RockRuby)

=== ruby/CMakeLists.txt ===
rock_add_ruby_package(transformer
    RUBY_FILES lib/transformer.rb lib/transformer)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lib/syskit_plugin.rb
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/orogen/plugins/syskit
        RENAME transformer_plugin.rb)

=== debian/changelog ===
rock-master-20.01-drivers-transformer (0.20160907-1~xenial) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-core/drivers-transformer.git
  * branch: refs/heads/master
  * commit: cce50c388d733a30e28082026184ec34e50edabf
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Sat, 08 Feb 2020 22:39:46 +0100

=== debian/control ===
Source: rock-master-20.01-drivers-transformer
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rock-master-20.01-base-cmake, rock-master-20.01-drivers-aggregator
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.01-drivers-transformer
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.01-base-cmake, rock-master-20.01-drivers-aggregator, cmake
Description: Automated computation of geometric transformations
 This library offers a transformation stack. One may register data streams
  together with a source and a target frame. As soon as a transformation from
  source to target and a data sample is availabe, one get's called back with
  the transformation and the data sample. Through this mechanism is is possible,
  the receive any data sample in any frame wanted.
